Bug 1274992 - lvm2: Unexpanded macro in RPM requires
lvm2: Unexpanded macro in RPM requires
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Rajnoha
Fedora Extras Quality Assurance
: Patch
Depends On:
  Show dependency treegraph
Reported: 2015-10-24 11:47 EDT by Mikolaj Izdebski
Modified: 2015-10-26 04:24 EDT (History)
11 users (show)

See Also:
Fixed In Version: lvm2-2.02.132-2.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-10-26 04:24:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Proposed patch (1.46 KB, patch)
2015-10-24 11:48 EDT, Mikolaj Izdebski
no flags Details | Diff

  None (edit)
Description Mikolaj Izdebski 2015-10-24 11:47:43 EDT
Description of problem:
cmirror-standalone has unexpanded %{epoch} macro in requires.

Version-Release number of selected component (if applicable):

Steps to Reproduce:
rpm -qRp /var/cache/koreca/f24/cmirror-standalone-2.02.132-1.fc24.x86_64.rpm

Actual results:
cmirror >= %{epoch}:2.02.132-1.fc24

Can also be seen on Koji:
Comment 1 Mikolaj Izdebski 2015-10-24 11:48:46 EDT
Created attachment 1086115 [details]
Proposed patch
Comment 2 Peter Rajnoha 2015-10-26 04:24:57 EDT
That is actually the cmirror-standalone package for standalone cmirror installation without setting the cmirror as cluster resource which is not the official way of setting cmirror - that's why this got unnoticed for some time. Thanks for spotting this! It's fixed now in lvm2-2.02.132-2.fc24.

Note You need to log in before you can comment on or make changes to this bug.